# Upload content to an Podcast channel

Once you have [created a channel](create_channel.md), you can start to add content to it. Users who follow your channel can see and play your content from their {term}`pods <Pod>`.

You can also create series to organize your channel content.

```{contents}
:local:
```

## Create a series (optional)

Series are a good way of organizing your content. You can create as many series as you want. To create a new series:

```{tabbed} Desktop

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel you want to add a series to under the {guilabel}`Channels` header. The channel's page opens.
5. Select {guilabel}`+ Add new` next to the {guilabel}`Series` section. A {guilabel}`New album` screen appears.
6. Enter the {guilabel}`Title` of your series.
7. Select {guilabel}`Create` to create your new series. The series appears on the screen.

```

```{tabbed} Mobile

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel you want to add a series to under the {guilabel}`Channels` header. The channel's page opens.
5. Select {guilabel}`+ Add new` next to the {guilabel}`Series` section. A {guilabel}`New album` screen appears.
6. Enter the {guilabel}`Title` of your series.
7. Select {guilabel}`Create` to create your new series. The series appears on the screen.

```

Once you've created your series, you can add some details to it. To do this:

1. Select the series. The series details screen opens.
2. Select the kebab menu ({fa}`ellipsis-v`) to show the album options.
3. Select {guilabel}`✎ Edit`. The {guilabel}`Edit this album` screen opens.
4. Change the details in any of these fields:
   - {guilabel}`Title` – the title of the series.
   - {guilabel}`Description` – a description of the series.
   - {guilabel}`Release date` – the date on which the series aired.
   - {guilabel}`Cover` – a cover image for the series.
   - {guilabel}`Tags` – tags relating to the series' content.
5. __Optional__ – enter a {guilabel}`Summary` of your changes.
6. Select {guilabel}`Submit and apply edit` to save your changes.

That's it! Your series is ready to use.

## Add your content

To add content to your channel:

```{tabbed} Desktop

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel you want to add content to under the {guilabel}`Channels` header. The channel's page opens.
5. Select {guilabel}`⇧ Upload`. The {guilabel}`Publish audio` screen appears.
6. Select the {guilabel}`Channel` you want to publish your audio in. This populates with the channel you selected by default.
7. __Optional__ – choose which [{guilabel}`Series`](#create-a-series-optional) you want to publish the content in.
8. __Optional__ – choose a {guilabel}`License` to apply to your content. Funkwhale supports [Creative Commons](https://creativecommons.org/) licenses.
9. Select {guilabel}`Next step`. The {guilabel}`Files to upload` screen appears.
10. Click on the section marked {guilabel}`Browse…` to open a file picker, or drag and drop your files on to it.
    - If you opened the file picker, select the files you want to upload and confirm.
11. The files appear at the top when you upload them. Select {guilabel}`Remove` to remove them.

```

```{tabbed} Mobile

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel you want to add content to under the {guilabel}`Channels` header. The channel's page opens.
5. Select {guilabel}`⇧ Upload`. The {guilabel}`Publish audio` screen appears.
6. Select the {guilabel}`Channel` you want to publish your audio in. This populates with the channel you selected by default.
7. __Optional__ – choose which [{guilabel}`Series`](#create-a-series-optional) you want to publish the content in.
8. __Optional__ – choose a {guilabel}`License` to apply to your content. Funkwhale supports [Creative Commons](https://creativecommons.org/) licenses.
9. Select {guilabel}`Next step`. The {guilabel}`Files to upload` screen appears.
10. Click on the section marked {guilabel}`Browse…` to open a file picker. Select the files you want to upload and confirm.
11. The files appear at the top when you upload them. Select {guilabel}`Remove` to remove them.

```

### Edit your uploads

Once you have uploaded your files, you can change their details. To do this:

1. Select the edit icon ({fa}`edit`) to edit the track details. The {guilabel}`Upload details` screen appears.
2. Change the details in any of these fields:
   - {guilabel}`Title` – the title of the episode
   - {guilabel}`Track Picture` – the picture that shows up next to the episode.
   - {guilabel}`Tags` – tags relating to the episode content.
   - {guilabel}`Position` – the position of the track in the series.
   - {guilabel}`Description` – a description of the track.
3. Select {guilabel}`Update` to save the track details.
4. Do this for all episodes you want to publish.
5. Select {guilabel}`Publish` to publish the content. To save the content to upload later, select {menuselection}`Down arrow --> Finish later`.

That's it! You've added content to your channel. Your followers can now listen to your content from their pods or podcatchers.

## Continue your upload later

If you selected {guilabel}`Finish later`, Funkwhale saves your files and edits. You can continue your upload later by doing the following:

```{tabbed} Desktop

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel you want to add content to under the {guilabel}`Channels` header. The channel's page opens.
5. Select {guilabel}`⇧ Upload`. The {guilabel}`Publish audio` screen appears.
6. Select the {guilabel}`Channel` you want to publish your audio in. This populates with the channel you selected by default.
7. __Optional__ – choose which [{guilabel}`Series`](#create-a-series-optional) you want to publish the content in.
8. __Optional__ – choose a {guilabel}`License` to apply to your content. Funkwhale supports [Creative Commons](https://creativecommons.org/) licenses.
9. Select {guilabel}`Next step`. The {guilabel}`Files to upload` screen appears.
10. If there are pending uploads, a {guilabel}`You have some draft uploads pending publication` note shows. Select {guilabel}`Resume` to resume your upload.
11. [Add new files](#add-your-content) or [edit the pending files](#edit-your-uploads).
12. Once you're finished, select {guilabel}`Publish` to publish your content.

```

```{tabbed} Mobile

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel you want to add content to under the {guilabel}`Channels` header. The channel's page opens.
5. Select {guilabel}`⇧ Upload`. The {guilabel}`Publish audio` screen appears.
6. Select the {guilabel}`Channel` you want to publish your audio in. This populates with the channel you selected by default.
7. __Optional__ – choose which [{guilabel}`Series`](#create-a-series-optional) you want to publish the content in.
8. __Optional__ – choose a {guilabel}`License` to apply to your content. Funkwhale supports [Creative Commons](https://creativecommons.org/) licenses.
9. Select {guilabel}`Next step`. The {guilabel}`Files to upload` screen appears.
10. If there are pending uploads, a {guilabel}`You have some draft uploads pending publication` note shows. Select {guilabel}`Resume` to resume your upload.
11. [Add new files](#add-your-content) or [edit the pending files](#edit-your-uploads).
12. Once you're finished, select {guilabel}`Publish` to publish your content.

```

Congratulations! You've finished uploading the saved content. Your followers can now listen to your content from their pods.
